Package Details: pfff-git v0.28.1.r459.g7edb85d-1

Git Clone URL: https://aur.archlinux.org/pfff-git.git (read-only)
Package Base: pfff-git
Description: tools and APIs for code analysis, visualization and transformation
Upstream URL: https://github.com/facebook/pfff
Licenses: LGPL2.1
Conflicts: pfff
Provides: pfff
Submitter: falmp
Maintainer: None
Last Packager: yan12125
Votes: 2
Popularity: 0.000000
First Submitted: 2014-04-16 15:04
Last Updated: 2015-06-08 11:20

Dependencies (5)

Required by (1)

Sources (1)

Latest Comments

yan12125 commented on 2015-12-10 13:16

Dropped as I don't use hhvm anymore.

yan12125 commented on 2015-03-01 14:56

hhvm hackificator build failure:

$ make
ocamlfind ocamlopt -thread -g -w y -package str,bigarray,num,unix,pfff-commons,pfff-h_program-lang,pfff-matcher,pfff-lang_php -I stubs -c www.mli
ocamlfind: Package `pfff-commons' not found
Makefile:48: recipe for target 'www.cmi' failed
make: *** [www.cmi] Error 2

I think the difference is that pfff in [community] has /usr/lib/ocaml/pff-*, but this package does not.

yan12125 commented on 2014-09-27 04:02

It requires camlp4 for successful building.

stelterd commented on 2014-07-28 01:07

If you get build failures, try doing a single-threaded build. I had MAKEFLAGS="-j9" in /etc/makepkg.conf and it failed every time.